package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.dto.CartDto;

import java.util.Map;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/23
 */
public interface ShoppingCartService {
    /**
     * 加入购物车
     *
     * @param cart
     * @return
     */
    ResponseJson<Integer> addShoppingCart(CartDto cart);

    /**
     * 统计购物车数量
     *
     * @param userId
     * @return
     */
    ResponseJson<Integer> getCartQuantity(Integer userId);

    /**
     * 购物车数据
     *
     * @param userId
     * @return
     */
    ResponseJson<Map<String, Object>> shoppingInfo(Integer userId);
}
